### File

`packages/ecl/components/ecl-mega-menu/ecl-mega-menu-info/ecl-mega-menu-info.component.ts`

### Description

Component for displaying some custom information for the current menu item.

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit`

### Metadata

selector | `div[eclMegaMenuInfo]`
templateUrl | `./ecl-mega-menu-info.component.html`

### Index

###### Properties
eclMegaMenuInfoStyleHeight eclMegaMenuInfoStyleOpacity el linkItem
###### Methods
getInfoPanelScrollHeight getCssClasses
###### Inputs
title titleId class e2eAttr tabindex
###### HostBindings
class style.height.px style.opacity
###### Accessors
cssClasses

### Inputs

title
Type : `string`

titleId
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies custom styles for info component.

style.height.px
Type : `number | null`
Default value : `null`
Sets the height of the component.

style.opacity
Type : `number | null`
Default value : `null`
Sets the opacity of the component.

### Methods

getInfoPanelScrollHeight
`getInfoPanelScrollHeight()`
Used to calculate the height of the parent element. Returns : `number` the height of the component.

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclMegaMenuInfoStyleHeight
Type : `number | null`
Default value : `null`
Decorators : `@HostBinding('style.height.px')`
Sets the height of the component.

eclMegaMenuInfoStyleOpacity
Type : `number | null`
Default value : `null`
Decorators : `@HostBinding('style.opacity')`
Sets the opacity of the component.

el
Type : `unknown`
Default value : `inject(ElementRef)`

linkItem
Type : `EclLinkDirective`
Decorators : `@ContentChild(undefined)`
When the info panel contains link.

### Accessors

cssClasses
get `cssClasses()`
Applies custom styles for info component. Returns : `string`

# results matching ""

# No results matching ""